=== debian/changelog ===
free42 (1.4.40-hildon1) unstable; urgency=low

  * New upstream version 1.4.40

 -- Bob Hauck <bobh@haucks.org>  Mon, 31 Dec 2007 09:01:50 -0500

free42 (1.4.29-hildon2) unstable; urgency=low
  
  * Added DBus launcher stuff.
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Mon, 14 May 2007 20:30:12 +0200
	

free42 (1.4.29-hildon1) unstable; urgency=low
  
  * upgrade 1.4.29 upstream.
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Thu,  1 Feb 2007 20:30:12 +0200
	

free42 (1.4.27-hildon3) unstable; urgency=low
  
  * Some more fixes for N800 build.
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sat, 27 Jan 2007 17:30:20 +0200
	

free42 (1.4.27-hildon2) unstable; urgency=low
  
  * Added support for N800, dot-install file.
	
  * svn fixes
	
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Mon, 22 Jan 2007 21:06:19 +0200
	

free42 (1.4.27-hildon1) unstable; urgency=low
  
  * Hildonized, steps one and two...
 
 -- Tatu Mannisto <tatu.1 at tajuma.com>  Tue, 12 Sep 2006 18:46:47 +0200
