=== debian/control ===
Source: free42
Section: user/scientific
Priority: optional
Maintainer: Tatu Mannisto <tatu.1 at tajuma.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1)
Standards-Version: 3.6.0

Package: free42
Architecture: any
Depends: ${shlibs:Depends}
Description: HP-42 calculator (based on the Free42 project), for the project
 itself, please look at http://home.planet.nl/~demun000/thomas_projects/free42.
 This package just wraps it up for Maemo platform (e.g. Nokia 770 or N800) with
 realistic looking pseudo skins.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QAmQDMAJk0M7raAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wEWEzsMoJkZ/gAAAN5JREFUSMflVcsShDAIA6b//8vZ
 g+LYByXt6l62Mx6sYJKGgsiPloqIAMBrAKoqIlK44Dwmo2oZAAPCkClM4p2t6pi9k4qUFQZEbxsA
 qvd6PwazJ0BO0y+AUYjtggC4HgbMogpSogrYQqk8ipJcycEWWyBDRTM1vu+Gj493sbw98ZujDRXx
 3sTlvXxhox+6V/7NVW93BmZlKkKgw2RMlbkaj2vD02I4/OkDo94VeRmptLfmUEuw9FXXH0V7UWdz
 kr5HEdhK66G6NzMtdyat7Y7m1RzLElnALK488ZP/XB8QHIFUnZ9BegAAAABJRU5ErkJggg==
