=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
HILDON_DIR = /usr/share/applications

CFLAGS = -Wall -g
PACKAGENAME = free42

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir

configure:
#	./autogen.sh
	touch config.status

build: build-stamp

build-stamp:  config.status
	dh_testdir

	( cd gtk ; $(MAKE) -e HILDON=1 skins.cc )
	( cd gtk ; $(MAKE) -e HILDON=1 )
	strip gtk/free42.launch

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	dh_clean 

	( cd gtk ; $(MAKE) cleaner )

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_install

	install -d debian/free42/usr/share/icons/hicolor/26x26/hildon
	install -d debian/free42/usr/share/icons/hicolor/40x40/hildon
	install -d debian/free42/usr/share/icons/hicolor/scaleable/hildon
	cp hildon/free42-26.png debian/free42/usr/share/icons/hicolor/26x26/hildon/free42.png
	cp hildon/free42-40.png debian/free42/usr/share/icons/hicolor/40x40/hildon/free42.png
	cp hildon/free42-64.png debian/free42/usr/share/icons/hicolor/scaleable/hildon/free42.png


# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
