## free42 1.4.40-hildon3

=== gtk/Makefile ===
--- 
+++ 
@@ -11,24 +11,40 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
-# You should have received a copy of the GNU General Public License
+#f You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ###############################################################################
 
 CXXFLAGS := -MMD -Wall -g -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
 
+# Nokia N810 and N900 models, define HILDON for both
+ifdef N810
+CXXFLAGS += -DN810
+HILDON=1
+endif
+ifdef N900
+CXXFLAGS += -DN900
+HILDON=1
+endif
+
 ifdef HILDON
 BCD_MATH = 1
 CXXFLAGS += -DHILDON -fpic $(shell pkg-config --cflags hildon-1) $(shell pkg-config --cflags hildon-fm-2)
-CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE
+CXXFLAGS += $(shell pkg-config --cflags libosso)
+CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE -O3
 CXXFLAGS_skin2cc = -DHILDON
 LDFLAGS = -shared
 LIBS = $(shell pkg-config --libs hildon-1)
 LIBS += $(shell pkg-config --libs dbus-1)
+LIBS += $(shell pkg-config --libs libosso)
 else
 LDFLAGS = 
 LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
+endif
+
+ifdef PAINT_KEYS
+CXXFLAGS += -DPAINT_KEYS
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
