=== debian/changelog ===
free42 (1.4.40-hildon3) unstable; urgency=low

  * Few UI changes.

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sun, 15 Oct 2009 15:51:12 +0200

free42 (1.4.40-hildon2) unstable; urgency=low

  * Ported to N900, initial take for it

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Mon, 10 Oct 2009 20:10:54 +0200
