=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: user/scientific
 Priority: optional
 Maintainer: Tatu Mannisto <tatu.1 at tajuma.com>
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1)
+Build-Depends: debhelper (>= 4.0.0), libosso-dev, libhildonfm2-dev, libosso-gnomevfs2-dev
 Standards-Version: 3.6.0
 
 Package: free42
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: HP-42 calculator (based on the Free42 project), for the project
- itself, please look at http://home.planet.nl/~demun000/thomas_projects/free42.
- This package just wraps it up for Maemo platform (e.g. Nokia 770 or N800) with
- realistic looking pseudo skins.
+ itself, please look at http://thomasokken.com/free42.
+ This package just wraps it up for Maemo platform (e.g. Nokia N810 and N900)
+ with realistic looking pseudo skins.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QAmQDMAJk0M7raAAAACXBI
  WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wEWEzsMoJkZ/gAAAN5JREFUSMflVcsShDAIA6b//8vZ
