=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# maybe this could be figured out by our Scratchbox target...
+NXXX = N900
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -37,8 +39,8 @@
 build-stamp:  config.status
 	dh_testdir
 
-	( cd gtk ; $(MAKE) -e HILDON=1 skins.cc )
-	( cd gtk ; $(MAKE) -e HILDON=1 )
+	( cd gtk ; $(MAKE) -e $(NXXX)=1 skins.cc )
+	( cd gtk ; $(MAKE) -e $(NXXX)=1 )
 	strip gtk/free42.launch
 
 	touch build-stamp
