=== debian/changelog ===
free42 (1.4.44-0maemo1) unstable; urgency=low

  * New upstream version 1.4.44

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sun, 30 Nov 2008 21:01:50 +0100
