=== debian/changelog ===
free42 (1.4.60-maemo1) unstable; urgency=low

  * New upstream version 1.4.60 for N900

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sun, 29 Oct 2009 17:08:15 +0200
	
