=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 build-stamp:  config.status
 	dh_testdir
 
-	( cd gtk ; $(MAKE) -e $(NXXX)=1 skins.cc )
+	( cd gtk ; $(MAKE) -e $(NXXX)=1 symlinks skins.cc )
 	( cd gtk ; $(MAKE) -e $(NXXX)=1 )
 	strip gtk/free42.launch
