=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2008  Thomas Okken
+# Copyright (C) 2004-2009  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -12,23 +12,41 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
 CXXFLAGS := -MMD -Wall -g -I/usr/X11R6/include -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
 
+# Nokia N810 and N900 models, define HILDON for both
+ifdef N810
+CXXFLAGS += -DN810
+HILDON=1
+endif
+ifdef N900
+CXXFLAGS += -DN900
+HILDON=1
+endif
+
 ifdef HILDON
 BCD_MATH = 1
 CXXFLAGS += -DHILDON -fpic $(shell pkg-config --cflags hildon-1) $(shell pkg-config --cflags hildon-fm-2)
-CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE
-CXXFLAGS_skin2cc = -DHILDON
+CXXFLAGS += $(shell pkg-config --cflags libosso)
+CXXFLAGS += $(shell pkg-config --cflags dbus-1) -DDBUS_API_SUBJECT_TO_CHANGE -O3
+CXXFLAGS_skin2cc += -DHILDON
 LDFLAGS = -shared
 LIBS = $(shell pkg-config --libs hildon-1)
 LIBS += $(shell pkg-config --libs dbus-1)
+LIBS += $(shell pkg-config --libs libosso)
 else
-LDFLAGS = 
+LDFLAGS = -L/usr/X11R6/lib
 LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
+endif
+
+ifdef PAINT_KEYS
+CXXFLAGS += -DPAINT_KEYS
+endif
+ifeq "$(shell uname -s)" "Linux"
+LDFLAGS += -Wl,--hash-style=both
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
@@ -48,19 +66,18 @@
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
-SRCS += bcdfloat.cc bcd.cc bcdmath.cc
-OBJS += bcdfloat.o bcd.o bcdmath.o
+SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
+OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
 EXE = free42dec
 else
 EXE = free42bin
 endif
 
+ifdef HILDON
+EXE = free42.launch
+endif
 ifdef OLPC
 CXXFLAGS += -DOLPC
-endif
-
-ifdef HILDON
-EXE = free42.launch
 endif
 
 $(EXE): $(OBJS)
@@ -78,9 +95,9 @@
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
 
 skin2cc: skin2cc.cc
-	$(CXX) $(CXXFLAGS_skin2cc) -o skin2cc skin2cc.cc
+	$(CXX) -o skin2cc $(CXXFLAGS_skin2cc) skin2cc.cc
 
-skins.cc: symlinks skin2cc skin2cc.conf
+skins.cc: skin2cc skin2cc.conf
 	./skin2cc
 
 keymap2cc: keymap2cc.cc
@@ -143,6 +160,9 @@
 	ln -s ../common/bcdfloat.h
 	ln -s ../common/bcdmath.cc
 	ln -s ../common/bcdmath.h
+	ln -s ../common/bcd2.h
+	ln -s ../common/bcdfloat2.cc
+	ln -s ../common/bcdfloat2.h
 	touch symlinks
 
 clean: FORCE
