=== motif/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2007  Thomas Okken
+# Copyright (C) 2004-2009  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -12,8 +12,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
 VERSION = "\"$(shell cat ../VERSION)\""
@@ -21,9 +20,18 @@
 LDFLAGS = -L/usr/X11R6/lib
 LIBS = -lm -lXm -lXt -lX11 -lXmu -lXpm
 
-#CXXFLAGS = -MMD -Wall -g -I/usr/local/lesstif/include -I/usr/X11R6/include -fno-exceptions -fno-rtti -DVERSION=$(VERSION)
-#LDFLAGS = -L/usr/local/lesstif/lib -L/usr/X11R6/lib
-#LIBS = -lm -lXm -lXpm -lXmu
+ifeq "$(shell uname -s)" "Darwin"
+CXXFLAGS += -I/usr/OpenMotif/include -DNO_SINCOS=1
+LDFLAGS += -L/usr/OpenMotif/lib
+endif
+
+ifeq "$(shell uname -s)" "Linux"
+LDFLAGS += -Wl,--hash-style=both
+endif
+
+ifeq "$(shell uname -s | sed 's/^\(......\).*/\1/')" "CYGWIN"
+LDFLAGS += -Wl,--enable-auto-import
+endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
 	shell_spool.cc core_main.cc core_commands1.cc core_commands2.cc \
@@ -42,8 +50,8 @@
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
-SRCS += bcdfloat.cc bcd.cc bcdmath.cc
-OBJS += bcdfloat.o bcd.o bcdmath.o
+SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
+OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
 EXE = free42dec
 else
 EXE = free42bin
@@ -125,6 +133,9 @@
 	ln -s ../common/bcdfloat.h
 	ln -s ../common/bcdmath.cc
 	ln -s ../common/bcdmath.h
+	ln -s ../common/bcd2.h
+	ln -s ../common/bcdfloat2.cc
+	ln -s ../common/bcdfloat2.h
 	touch symlinks
 
 clean: FORCE
