=== debian/changelog ===
free42 (1.4.60-maemo2) unstable; urgency=low

  * Control file spelling mistake fixed

 -- Tatu Mannisto <tatu.1 at tajuma.com>  Sun, 29 Oct 2009 20:29:01 +0200
	
